### File

`packages/ecl/components/ecl-radio/ecl-radio-help.component.ts`

### Description

Component that displays help text for the ECL radio input.

Supports styling for the disabled state and applies the proper ECL CSS classes. Should be placed inside a component using eclRadio.

### Extends

`ECLBaseDirective`

### Metadata

selector | `[eclRadioHelp]`
templateUrl | `./ecl-radio-help.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
isDisabled class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`
Adds styling for a disabled help text.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes applied to the host element. Includes the base ecl-radio__help class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes applied to the host element. Includes the base ecl-radio__help class. Returns : `string`

# results matching ""

# No results matching ""